Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class InstVar

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt
              mycompiler.mystatement.Expr
                  mycompiler.mystatement.InstVar

All Implemented Interfaces:
  ITypeReplacementListener

    public class InstVar

extends Expr

Constructor Summary
`InstVar(java.lang.String n, java.lang.String t)`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_codegen_UsedId()`
`java.lang.String` | `get_Name()`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`CTripleSet` | `TRExp(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.38 von Martin Pl�micke Author: J�rg B�uerle
`CTripleSet` | `TRInstVar(CTriple triple, CSupportData supportData)` Implementierung des Algorithmus 5.38-1 von Martin Pl�micke Author: J�rg B�uerle
`CTripleSet` | `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`

Methods inherited from class mycompiler.mystatement.Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId, TRMultiply, TRTuple`

Methods inherited from class mycompiler.mystatement.ExprStmt
`getType, getTypeLineNumber, getTypeName, replaceType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstVar

    public InstVar(java.lang.String n,
                   java.lang.String t)

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)

  Specified by:
    `sc_check` in class `Expr`

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### get_codegen_UsedId

    public java.lang.String get_codegen_UsedId()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Specified by:
    `TRStatement` in class `Statement`

### TRExp

    public CTripleSet TRExp(CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Implementierung des Algorithmus 5.38 von Martin Pl�micke
  Author: J�rg B�uerle

  Specified by:
    `TRExp` in class `Expr`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns:

### TRInstVar

    public CTripleSet TRInstVar(CTriple triple,
                                CSupportData supportData)

  Implementierung des Algorithmus 5.38-1 von Martin Pl�micke
  Author: J�rg B�uerle

  Parameters:
    `triple` -
    `supportData` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD